# Transfer an Inscription

### Transfer HCS-20 Structure

This is the stucture that is used to send to the topic, this payload has been humanised to be more understandable.

```
{
  "p": "hcs-20",
  "op": "transfer",
  "tick": "unique_point_identifier",
  "amt": "number_of_points",
  "from": "sender_hedera_address",
  "to": "recipient_hedera_address",
  "m": "optional_memo"
}
```

### Overview

There are 2 required fields needed to deploy an inscription:

* to
* from
* amount

These are the optional fields you can use:

* topic\_id (your private application for controlling all points or inscriptions)
* memo (an additional memo at the deployment level)

<mark style="color:green;">`POST`</mark> `https://hedera-serverless-consensus.vercel.app/api/inscription/{ticker}/transfer`

Mint an Inscription

#### Query Parameters

| Name                                     | Type   | Description                      |
| ---------------------------------------- | ------ | -------------------------------- |
| ticker<mark style="color:red;">\*</mark> | String | Unique ticker of the inscription |

#### Headers

| Name                                        | Type   | Description                                                       |
| ------------------------------------------- | ------ | ----------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | The **API\_SECRET\_KEY** from the client's environment variables. |

#### Request Body

| Name                                     | Type   | Description                            |
| ---------------------------------------- | ------ | -------------------------------------- |
| amount<mark style="color:red;">\*</mark> | Int    | amount to mint in one transaction      |
| topic\_id                                | String | your private topic for limiting access |
| memo                                     | String |                                        |
| to                                       | String | receiver address                       |
| from                                     | String | origination address                    |

{% tabs %}
{% tab title="200: OK Inscription Minted" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized Header Auth Missing/invalid" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Missing params in body" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trust.enterprises/rest-api/inscriptions/transfer-an-inscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
